import javax.annotation.*;
import javax.ejb.*;
import javax.persistence.*;

@Stateless(mappedName="ejb/FooBean")
@PersistenceContext(name="persistence/pc", unitName="foo")
public class FooBean implements FooRemote {
	 @Resource SessionContext ctx;
	 @PersistenceContext(unitName="foo") EntityManager em;
	 public FooEntity create() {
		 FooEntity fe = new FooEntity();
		 em.persist(fe);
		 EntityManager em2 = (EntityManager)ctx.lookup("persistence/pc");
		 System.out.println("em & em2 refers to same underlying EM: " + em.getDelegate() == em2.getDelegate());
		 return fe;
	 }
}
