import javax.annotation.*;
import javax.ejb.*;
import javax.persistence.*;

@Stateless(mappedName="ejb/FooBean2")
@PersistenceContext(name="persistence/pc2", unitName="foo2")
public class FooBean2 implements FooRemote {
	 @Resource SessionContext ctx;
	 @PersistenceContext(unitName="foo2") EntityManager em;
	 public FooEntity create() {
		 FooEntity fe = new FooEntity();
		 em.persist(fe);
		 EntityManager em2 = (EntityManager)ctx.lookup("persistence/pc2");
		 System.out.println("em & em2 refers to same underlying EM: " + em.getDelegate() == em2.getDelegate());
		 return fe;
	 }
}
